Bug 111914 - Kernel hangs during install when detecting noname CD-ROM
Kernel hangs during install when detecting noname CD-ROM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 10:45 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2003-12-11 10:45:12 EST
Description of problem:
A noname ATAPI 24x CD-ROM drive on a CMD648 controller causes the
kernel to hang before the installer starts. The last line printed is:
hdc: , ATAPI CD/DVD-ROM drive
A vanilla 2.4.19 is able to boot on the same hardware.

Version-Release number of selected component (if applicable):
2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1. Try to boot installer
  
Actual results:
Kernel hangs

Expected results:
Installer runs

Additional info:
The last lines of output from the kernel before hanging:
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
CMD648: IDE controller at PCI slot 00:0a.0
PCI: Found IRQ 11 for device 00:0a.0
CMD648: chipset revision 1
CMD648: not 100% native mode: will probe irqs later
CMD648: ROM enabled at 0xe6000000
    ide0: BM-DMA at 0xb000-0xb007, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xb008-0xb00f, BIOS settings: hdc:pio, hdd:pio
PDC20268: IDE controller at PCI slot 00:0c.0
PCI: Found IRQ 11 for device 00:0c.0
PDC20268: chipset revision 2
PDC20268: not 100% native mode: will probe irqs later
PDC20268: ROM enabled at 0xe8000000
    ide2: BM-DMA at 0xc800-0xc807, BIOS settings: hde:pio, hdf:pio
    ide3: BM-DMA at 0xc808-0xc80f, BIOS settings: hdg:pio, hdh:pio
ALI15X3: IDE controller at PCI slot 00:0f.0
PCI: Assigned IRQ 11 for device 00:0f.0
ALI15X3: chipset revision 32
ALI15X3: not 100% native mode: will probe irqs later
    ide4: BM-DMA at 0xf000-0xf007, BIOS settings: hdi:pio, hdj:pio
    ide5: BM-DMA at 0xf008-0xf00f, BIOS settings: hdk:pio, hdl:pio
hda: ST360021A, ATA DISK drive
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
blk: queue c03d9420, I/O limit 4095Mb (mask 0xffffffff)
hdc: , ATAPI CD/DVD-ROM drive
Comment 1 David Lawrence 2004-09-29 15:50:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.